le-proinfodata: Remove proinfodata-installer.sh

Signed-off-by: 's avatarEdileuton Henrique de Oliveira <eho09@c3sl.ufpr.br>
parent 1e0b2e73
#!/bin/bash
# This script generates the PROINFODATA installer
# Copyright (C) 2010-2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-proinfodata
#
# le-proinfodata is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
# This function checks one file integrity
check_file_integrity(){
FILE="$*"
FILEREAL="$(echo ${FILE} | sed "s#^${MD5DIRESC}##g")"
test -f "${AGENT_FILES}/SEED2-run/${FILEREAL}" || return 1
(md5sum "${AGENT_FILES}/SEED2-run/${FILEREAL}" | cut -d' ' -f1 | \
diff - "${FILE}" &> /dev/null) || return 1
}
# ------------------------------------------------------------------------------
PREFIX="$(dirname $(readlink -f $0))"
PIDDEST="${PREFIX}/pacote/tmp"
PIDINSTALLER="${PIDDEST}/agent.run"
MD5DIR="${AGENT_FILES}/SEED2-run/.md5sum"
LBFILE="${PREFIX}/pacote/etc/le-proinfodata/le.zone"
AGENTURL="http://proinfodata.c3sl.ufpr.br/seed/install/Pacote_de_Instalacao_SEED2_v1.4.0.run"
# ------------------------------------------------------------------------------
# Compressing the local base
if ! bzip2 ${LBFILE}; then
printf "ERROR (1): problems while Compressing the local base"
exit 1
fi
# ------------------------------------------------------------------------------
# Check if the PROINFODATA installer already exists
if test -f "${PIDINSTALLER}"; then
printf "PROINFODATA installer already exists. Skipping generation.\n"
exit 0
fi
# ------------------------------------------------------------------------------
mkdir $PIDDEST
# Download the agent
if ! wget $AGENTURL -O $PIDINSTALLER; then
printf "ERROR (2): problems while downloading the agent"
exit 2
fi
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment